Saltar para o conteúdo principal

Este browser já não é suportado.

Atualize para o Microsoft Edge para tirar partido das mais recentes funcionalidades, atualizações de segurança e de suporte técnico.

Transferir Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Parâmetros de caminho

agent_name string obrigatório

The name of the agent.

session_id string obrigatório

The session identifier.

Parâmetros de consultas

api-version string obrigatório

The API version to use for this operation.

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
agent_session_id string obrigatório

The session identifier.

version_indicator version_ref obrigatório

Version indicator determining which agent version backs the session.

Um dos seguintes:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum obrigatório

Discriminator value for version_ref.

version_ref
agent_version string obrigatório

The agent version identifier returned by the agent version APIs.

status string | enum obrigatório

The status of an agent session.

Qualquer uma das seguintes opções:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer obrigatório

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer obrigatório

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer obrigatório

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Pedir

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-pt
Suas opções de privacidade
  • Exclusão de responsabilidade de IA
  • Versões anteriores
  • Blogue
  • Contribuir
  • Privacidade
  • Privacidade da Saúde do Consumidor
  • Termos de Utilização
  • Marcas Comerciais
  • © Microsoft 2026